Debian Bug report logs - #426917
MODULES=dep New initramfs-tools dont detect raid volumes properly

version graph

Package: initramfs-tools; Maintainer for initramfs-tools is Debian kernel team <debian-kernel@lists.debian.org>; Source for initramfs-tools is src:initramfs-tools.

Reported by: "Evan Felix" <karcaw@gmail.com>

Date: Thu, 31 May 2007 18:33:01 UTC

Severity: important

Found in version initramfs-tools/0.88

Fixed in version initramfs-tools/0.90

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#426917; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to "Evan Felix" <karcaw@gmail.com>:
New Bug report received and forwarded. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Evan Felix" <karcaw@gmail.com>
To: submit@bugs.debian.org
Subject: Fwd: Mail delivery failed: returning message to sender
Date: Thu, 31 May 2007 11:31:14 -0700
Package: initramfs-tools
Version: 0.88
Severity: important

When i did a dist upgrade last night my system would not boot anymore,
after some looking i found that update-initramfs was complaining about:

Keeping /boot/initrd.img-2.6.16-1-k7.dpkg-bak
update-initramfs: Generating /boot/initrd.img-2.6.16-1-k7
Adding module /lib/modules/2.6.16-1-k7/kernel/drivers/md/md-mod.ko
Adding module /lib/modules/2.6.16-1-k7/kernel/drivers/md/raid1.ko
Adding module /lib/modules/2.6.16-1-k7/kernel/fs/mbcache.ko
Adding module /lib/modules/2.6.16-1-k7/kernel/fs/jbd/jbd.ko
Adding module /lib/modules/2.6.16-1-k7/kernel/fs/ext3/ext3.ko
Error: missing md root /dev/md0 /sys entry
Restoring /boot/initrd.img-2.6.16-1-k7.dpkg-bak
update-initramfs: failed for /boot/initrd.img-2.6.16-1-k7

a quick hack that allowed me to move on and deal with other raid
problems that came up was:

dep_add_modules()
{
       # findout root block device + fstype
       eval "$(mount | awk '/ \/ / {print "root=" $1
       "\nrootfs=" $5; exit}')"
       block=${root#/dev/}
       #block=${block%[0-9]*}

see the comment of the second block command, it strips the 0 off of
/dev/md0 which 'md' does not exist in /sys/block/

Evan


-- Package-specific info:
-- /proc/cmdline
root=/dev/md0 ro

-- /proc/filesystems
       cramfs
       ext3
       ext2

-- lsmod
Module                  Size  Used by
lirc_atiusb            16928  1
lirc_dev               14196  1 lirc_atiusb
via                    41376  3
drm                    61844  4 via
nfsd                  199792  17
exportfs                6080  1 nfsd
button                  6928  0
ac                      5508  0
battery                 9924  0
lp                     11300  0
ipv6                  228064  35
nfs                   203916  2
lockd                  55240  3 nfsd,nfs
nfs_acl                 3904  2 nfsd,nfs
sunrpc                139708  13 nfsd,nfs,lockd,nfs_acl
ext2                   59656  1
raid0                   8064  1
dm_snapshot            15840  0
dm_mirror              19600  0
dm_mod                 50776  2 dm_snapshot,dm_mirror
it87                   19236  0
hwmon_vid               3072  1 it87
i2c_isa                 5440  1 it87
eeprom                  7504  0
wm8775                  6156  0
tsdev                   7808  0
usbhid                 37728  0
cx25840                22480  0
snd_via82xx            26264  0
gameport               14920  1 snd_via82xx
snd_ac97_codec         83360  1 snd_via82xx
snd_ac97_bus            2688  1 snd_ac97_codec
snd_mpu401_uart         8384  1 snd_via82xx
snd_pcm_oss            39200  0
snd_pcm                68996  3 snd_via82xx,snd_ac97_codec,snd_pcm_oss
snd_page_alloc          9928  2 snd_via82xx,snd_pcm
snd_mixer_oss          15552  1 snd_pcm_oss
snd_seq_dummy           4164  0
snd_seq_oss            29120  0
snd_seq_midi            8544  0
snd_rawmidi            23200  2 snd_mpu401_uart,snd_seq_midi
snd_seq_midi_event      7488  2 snd_seq_oss,snd_seq_midi
snd_seq                46224  6
snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_seq_midi_event
snd_timer              21316  2 snd_pcm,snd_seq
bt878                  10680  0
snd_seq_device          8140  5
snd_seq_dummy,snd_seq_oss,snd_seq_midi,snd_rawmidi,snd_seq
parport_pc             32612  1
parport                33672  2 lp,parport_pc
floppy                 53668  0
snd                    47524  11
snd_via82xx,snd_ac97_codec,snd_mpu401_uart,snd_pcm_oss,snd_pcm,snd_mixer_oss,snd_seq_oss,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
ivtv                  158160  0
tuner                  53736  0
bttv                  160244  1 bt878
psmouse                35336  0
soundcore               9568  1 snd
video_buf              23428  1 bttv
firmware_class         10048  3 cx25840,ivtv,bttv
rtc                    12788  0
ehci_hcd               28488  0
ir_common              28164  1 bttv
serio_raw               6980  0
generic                 5316  0 [permanent]
via82cxxx               8708  0 [permanent]
compat_ioctl32          1792  1 bttv
i2c_algo_bit            8776  2 ivtv,bttv
pcspkr                  3392  0
i2c_viapro              8532  0
cx2341x                10628  1 ivtv
evdev                   9408  1
btcx_risc               5064  1 bttv
tveeprom               14160  2 ivtv,bttv
i2c_core               20096  11
it87,i2c_isa,eeprom,wm8775,cx25840,ivtv,tuner,bttv,i2c_algo_bit,i2c_viapro,tveeprom
videodev               21440  2 ivtv,bttv
v4l1_compat            12356  2 ivtv,videodev
v4l2_common            20736  6 cx25840,ivtv,tuner,bttv,cx2341x,videodev
via_rhine              23112  0
mii                     5696  1 via_rhine
uhci_hcd               21448  0
usbcore               113284  5 lirc_atiusb,usbhid,ehci_hcd,uhci_hcd
shpchp                 33312  0
pci_hotplug            29056  1 shpchp
via_agp                 9984  1
agpgart                30216  2 drm,via_agp
ide_cd                 36576  0
cdrom                  33056  1 ide_cd
ide_disk               15168  10
ide_generic             1728  0 [permanent]
ide_core              110984  5 generic,via82cxxx,ide_cd,ide_disk,ide_generic
thermal                13896  0
processor              29128  1 thermal
fan                     5124  0
ext3                  120392  2
jbd                    52968  1 ext3
mbcache                 8644  2 ext2,ext3
raid1                  21568  3
md_mod                 71060  6 raid0,raid1

-- /etc/kernel-img.conf
do_symlinks = yes
relative_links = yes
do_bootloader = no
do_bootfloppy = no
do_initrd = yes
link_in_boot = no
postinst_hook = /usr/sbin/update-grub
postrm_hook   = /usr/sbin/update-grub

-- /etc/initramfs-tools/initramfs.conf
MODULES=dep
BUSYBOX=y
KEYMAP=n
BOOT=local
DEVICE=eth0
NFSROOT=auto


-- System Information:
Debian Release: lenny/sid
 APT prefers unstable
 APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.18-1-k7 (SMP w/1 CPU core)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages initramfs-tools depends on:
ii  busybox                      1:1.1.3-4   Tiny utilities for small and embed
ii  cpio                         2.7-3       GNU cpio -- a program to manage ar
ii  klibc-utils                  1.5-2       small statically-linked utilities
ii  module-init-tools            3.3-pre11-1 tools for managing Linux kernel mo
ii  udev                         0.105-4     /dev/ and hotplug management daemo

initramfs-tools recommends no packages.

-- no debconf information



Changed Bug title to `New initramfs-tools dont detect raid volumes properly' from `Fwd: Mail delivery failed: returning message to sender'. Request was from "Evan Felix" <karcaw@gmail.com> to control@bugs.debian.org. (Tue, 12 Jun 2007 18:21:03 GMT) Full text and rfc822 format available.

Changed Bug title to `New initramfs-tools dont detect raid volumes properly' from `New initramfs-tools dont detect raid volumes properly'. Request was from "Evan Felix" <karcaw@gmail.com> to control@bugs.debian.org. (Tue, 12 Jun 2007 18:33:01 GMT) Full text and rfc822 format available.

Changed Bug title to `MODULES=dep New initramfs-tools dont detect raid volumes properly' from `New initramfs-tools dont detect raid volumes properly'. Request was from maximilian attems <maks@debian.org> to control@bugs.debian.org. (Thu, 21 Jun 2007 09:33:11 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian kernel team <debian-kernel@lists.debian.org>:
Bug#426917; Package initramfs-tools. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@stro.at>:
Extra info received and forwarded to list. Copy sent to Debian kernel team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #16 received at 426917@bugs.debian.org (full text, mbox):

From: maximilian attems <max@stro.at>
To: Mike Brodbelt <mike@coruscant.demon.co.uk>, martin f krafft <madduck@debian.org>, Evan Felix <karcaw@gmail.com>
Cc: 426917@bugs.debian.org, 426446@bugs.debian.org, 429237@bugs.debian.org
Subject: please test initramfs-tools 0.90 prerelease with MODULES=dep
Date: Wed, 8 Aug 2007 01:04:15 +0200
hello

you all reported errors with MODULES=dep usage,
please test that first prerelease
-> http://people.debian.org/~maks/initramfs-tools_0.90~beta1_all.deb

sha1sum:
22822d768a7e5e758eb4eb879b8c272cf1a95ec2 initramfs-tools_0.90~beta1_all.deb

if you prefer you can also see the latest git on
http://git.debian.org/?p=kernel/initramfs-tools.git;a=summary
or clone it
git clone git://git.debian.org/git/kernel/initramfs-tools.git

and report back how well or bad it works.
thanks for your feedback.

-- 
maks



Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Evan Felix" <karcaw@gmail.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #21 received at 426917-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 426917-close@bugs.debian.org
Subject: Bug#426917: fixed in initramfs-tools 0.90
Date: Thu, 09 Aug 2007 20:47:05 +0000
Source: initramfs-tools
Source-Version: 0.90

We believe that the bug you reported is fixed in the latest version of
initramfs-tools, which is due to be installed in the Debian FTP archive:

initramfs-tools_0.90.dsc
  to pool/main/i/initramfs-tools/initramfs-tools_0.90.dsc
initramfs-tools_0.90.tar.gz
  to pool/main/i/initramfs-tools/initramfs-tools_0.90.tar.gz
initramfs-tools_0.90_all.deb
  to pool/main/i/initramfs-tools/initramfs-tools_0.90_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 426917@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated initramfs-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu, 09 Aug 2007 21:30:29 +0200
Source: initramfs-tools
Binary: initramfs-tools
Architecture: source all
Version: 0.90
Distribution: unstable
Urgency: low
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 initramfs-tools - tools for generating an initramfs
Closes: 420754 425050 426446 426917 428729 429237 433190 433459 435031 436752
Changes: 
 initramfs-tools (0.90) unstable; urgency=low
 .
   Release "J'aim' pas le fataliste Je n'ai ni foi ni loi"
 .
   [ maximilian attems ]
   * hook-functions: Fix xen i386 boots with optimized 2.5. (closes: 420754)
     Thanks Marco Nenciarini <mnencia@debian.org> for patch.
   * debian/control: Bump dep on klibc-utils from etch. (closes: 435031)
   * scripts/functions: Implement non-zero panic bootarg. Style fix for
     maybe_break().
   * hook-functions: dep_add_modules() fix for md, lv, luks root.
     (closes: #426917, #429237, #426446)
   * debian/scripts: Add /etc/crypttab to reportbug script.  Add /sys/block
     list for MODULES=dep to reportbug script.
   * scripts/functions: Add error message on verbose mode about ignored files
     in boot/hooks dir.  Thanks Kornilios Kourtis <kkourt@cslab.ece.ntua.gr>
     for the initial patch. Fixes a double set_initlist call too. Ignore empty
     dirs earlier too. (closes: #428729, #433459)
   * mkinitramfs.8: Document verbose mode.
   * debian/initramfs-tools.preinst: Inhibit /etc/initramfs-tools/conf.d/resume
     creation in chroot for debian-live and other. (closes: #433190)
     Thanks Kel Modderman <kel@otaku42.de> for the patch.
   * update-initramfs: Improve "altered" error message. (closes: #436752)
   * update-initramfs, update-initramfs.conf: update_initramfs config variable
     is tristate. Set to 'all' to update any initramfs: $(update-initramfs -u).
     Allows specific admin setting. (closes: #425050)
 .
   [ David Härdeman ]
   * hook-functions: Protect all variable with local, plus coding style fixes.
Files: 
 fcea65851e626dc6c1c3a3da43172bf1 656 utils optional initramfs-tools_0.90.dsc
 9e6e6d34c5fd676a8ee3fe3fdb975744 60995 utils optional initramfs-tools_0.90.tar.gz
 f93b1c026cfeefe9d48e866eb89bc444 68036 utils optional initramfs-tools_0.90_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGu2uVeW7Lc5tEHqgRAs1JAJ9ca9d+JDQMnbRbUKpv4MwrmjGjYwCghDUI
FhqmhhKdKsIkxIQApJYjPno=
=Mq50
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 19 Sep 2007 07:28:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 20:10:08 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.